#
# spec file for package scim-input-pad (Version 0.1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm scim scim-devel sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scim-input-pad
BuildRequires:  gcc-c++ gtk2-devel scim-devel update-desktop-files
Version:        0.1.1
Release:        15.2
License:        GPL
Group:          System/X11/Utilities
Autoreqprov:    on
Provides:       locale(scim:ja;ko;zh)
URL:            http://www.scim-im.org
# CVS repository:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co scim-input-pad
Source0:        http://belnet.dl.sourceforge.net/sourceforge/scim/scim-input-pad-0.1.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        an onscreen input pad to easily input symbols

%description
an onscreen input pad to easily input symbols



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%debug_package
%prep
%setup -q -n %{name}-%{version}

%build
libtoolize --force
autoreconf -I /opt/gnome/share/aclocal --force --install --verbose
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
	    --enable-debug
make 

%install
make DESTDIR=${RPM_BUILD_ROOT} install
%find_lang scim-input-pad

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files -f scim-input-pad.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/*
%{_libdir}/libscim*
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/Helper/
%{_libdir}/scim-1.0/Helper/*
%dir %{_datadir}/scim/
%{_datadir}/scim/*

%changelog -n scim-input-pad
* Tue Feb 28 2006 - mfabian@suse.de
- Bugzilla #153791: use ';' in Provides locale(...).
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides: locale(scim:ja,ko,zh)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - zsu@suse.de
- update to 0.1.1
* Thu Aug 04 2005 - mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Thu Jun 02 2005 - mfabian@suse.de
- add radicals for Japanese.
* Wed Apr 13 2005 - mfabian@suse.de
- new package: scim-input-pad, version 0.1.0.
